commit: 8f6730cd55c63eeb3618bddaf0133bb0768b8565
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 12 14:53:49 2024 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Jul 12 14:53:51 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f6730cd
dev-python/sip: add 6.8.6
Can now use gh archives without combining with pypi for
everything thanks to upstream adjustments.
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
dev-python/sip/Manifest | 1 +
dev-python/sip/sip-6.8.6.ebuild | 33 +++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index 5858f6816d50..6f5fe425370b 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,2 +1,3 @@
DIST sip-6.8.5.gh.tar.gz 514702 BLAKE2B
82b41f87991a9c8dd5416a948d5fd356d8d815fef007bcca7089d8b942f6287b9609d5813368afbca924f563873eea025462d83ba9b36d910004115fa81f289e
SHA512
de5a5a134ef8a4a8dfeb97ca00cdd6d7c8a297e67aa046f003c883d14fe4cf1f009f6443712b78bc0f693e30b89fab3f76d5ef8ee18e9620f161c1933b2db513
DIST sip-6.8.5.tar.gz 420177 BLAKE2B
274df04ef21298fbc7559166e5d3b8830a10db900ee0c52001bc6f328e23dd691f092df560cd93e76a3ca17bbd89de88ab3370719dd6c9346e9ba3f3b7570e5c
SHA512
eeb1e51624d95bc36e72f5d1949793b647c2b97d5bd13ea80d9a2a901698b4d7336e6812421b0f346af248350061c02db5a8c13aeb33ec31d8bd6dbea967a282
+DIST sip-6.8.6.gh.tar.gz 515751 BLAKE2B
769a1270351473f1c498e0d3cd463df3aa0992782b5501bd06455b71be05cae5a9754611bad4f966cc5b204170fec7fccbb065d9ed4c800daaa1bd6448a96352
SHA512
bfbeace21ef0bfd072548bcdb9af1f4917a33e15bcd9c5f6575aea0dc0eeaeec4aa322b2408f586c0e2713ada65c1657f81a4e0eb25cb9a3472fada234beca33
diff --git a/dev-python/sip/sip-6.8.6.ebuild b/dev-python/sip/sip-6.8.6.ebuild
new file mode 100644
index 000000000000..7274e84fca8f
--- /dev/null
+++ b/dev-python/sip/sip-6.8.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings generator for C/C++ libraries"
+HOMEPAGE="https://github.com/Python-SIP/sip/"
+SRC_URI="
+ https://github.com/Python-SIP/sip/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv
~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/tomli[${PYTHON_USEDEP}]' 3.10)
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-8[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs \
+ dev-python/myst-parser \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest